package cz.muni.fi.pb162.test3;

/**
 * Toto rozhrani reprezentuje zeleznicni vozidlo. Zeleznicni vozidla
 * mohou byt hnana (vagony) nebo hnaci (lokomotivy a motorove vozy).
 *
 * @author Petr Adamek
 */
public interface RailVehicle {
    

    /**
     * Vrati hmotnost zeleznicniho vozidla v kg.
     *
     * @return hmotnost zeleznicniho vozidla v kg
     */
    double getWeight();

    
    /**
     * Vrati maximalni povolenou rychlost vozu
     *
     * @return maximalni povolenou rychlost vozu
     */
    double getMaximumSpeed();
}
