package cz.muni.fi.pb162.test3;

/**
 * Toto rozhrani reprezentuje zeleznicni vozy, ktere jsou schopny prepravovat
 * cestujici. Muze jit o klasicke osobni vozy, luzkove vozy, lehatkove vozy
 * apod.
 *
 * @author Petr Adamek
 */
public interface PassengerCar extends RailVehicle {
    
     /**
     * Vrati maximalni pocet pasazeru, ktery se vejde do vozu.
     *
     * @return maximalni pocet pasazeru, ktery se vejde do vozu.
     */
   int getPassengerCapacity();
    
}
